Index: src/southbridge/amd/rs780/gfx.c
===================================================================
--- src/southbridge/amd/rs780/gfx.c	(revision 6204)
+++ src/southbridge/amd/rs780/gfx.c	(working copy)
@@ -26,6 +26,10 @@
  *	RS780MC:0x9613
  *	RS780E: 0x9615
  *	RS785G: 0x9710 - just works, not much tested
+ *	RS785C: 0x9711
+ *	RS785M: 0x9712
+ *	RS785MC:0x9713
+ *	RS785D: 0x9714
  */
 #include <console/console.h>
 #include <device/device.h>
@@ -912,6 +916,26 @@
 	.vendor = PCI_VENDOR_ID_ATI,
 	.device = PCI_DEVICE_ID_ATI_RS785G_INT_GFX,
 };
+static const struct pci_driver pcie_driver_785c __pci_driver = {
+	.ops = &pcie_ops,
+	.vendor = PCI_VENDOR_ID_ATI,
+	.device = PCI_DEVICE_ID_ATI_RS785C_INT_GFX,
+};
+static const struct pci_driver pcie_driver_785m __pci_driver = {
+	.ops = &pcie_ops,
+	.vendor = PCI_VENDOR_ID_ATI,
+	.device = PCI_DEVICE_ID_ATI_RS785M_INT_GFX,
+};
+static const struct pci_driver pcie_driver_785mc __pci_driver = {
+	.ops = &pcie_ops,
+	.vendor = PCI_VENDOR_ID_ATI,
+	.device = PCI_DEVICE_ID_ATI_RS785MC_INT_GFX,
+};
+static const struct pci_driver pcie_driver_785d __pci_driver = {
+	.ops = &pcie_ops,
+	.vendor = PCI_VENDOR_ID_ATI,
+	.device = PCI_DEVICE_ID_ATI_RS785D_INT_GFX,
+};
 
 /* step 12 ~ step 14 from rpr */
 static void single_port_configuration(device_t nb_dev, device_t dev)
Index: src/include/device/pci_ids.h
===================================================================
--- src/include/device/pci_ids.h	(revision 6221)
+++ src/include/device/pci_ids.h	(working copy)
@@ -341,6 +341,10 @@
 #define PCI_DEVICE_ID_ATI_RS780MC_INT_GFX	0x9613
 #define PCI_DEVICE_ID_ATI_RS780E_INT_GFX	0x9615
 #define PCI_DEVICE_ID_ATI_RS785G_INT_GFX	0x9710
+#define PCI_DEVICE_ID_ATI_RS785C_INT_GFX	0x9711
+#define PCI_DEVICE_ID_ATI_RS785M_INT_GFX	0x9712
+#define PCI_DEVICE_ID_ATI_RS785MC_INT_GFX	0x9713
+#define PCI_DEVICE_ID_ATI_RS785D_INT_GFX	0x9714
 
 #define PCI_VENDOR_ID_VLSI		0x1004
 #define PCI_DEVICE_ID_VLSI_82C592	0x0005
